List rooms
Return the rooms in your community.integer
The page of results to return.
integer
The number of results to return per page.
string
A search term to reduce the number of results. Matches name.
List rooms
GET https://your-community.zapnito.com/api/v1/rooms
Get a room
Return a single room.string
required
The ID of the room.
Get a room
GET https://your-community.zapnito.com/api/v1/rooms/:room_id
200 OK: the room was returned.404 Not Found: no room matches the ID.
Create a room
Create a new room.string
required
The name of the room.
string
required
The description of the room.
string
The about text of the room.
integer
The position of the room in your room list.
string
required
The email address of the room’s owner, who becomes the initial contributor. This is usually your own email address, and the user must be able to create rooms.
string
default:"public"
The type of room. Accepts
public, private or secret.Create a room
POST https://your-community.zapnito.com/api/v1/rooms
200 OK: the room was created.422 Unprocessable Entity: a required parameter is missing or taken, or no user matchesowner_email. In the second case the response is{"errors": {"owner_email": ["Couldn't find User"]}}.

